import {CustomJoke} from "../../model/CustomJoke";
import {SampleJoke} from "../../model/SampleJoke";

export enum ActionType {
    FETCH_JOKES = 'FETCH_JOKES',
    POST_CUSTOM_JOKE = "POST_CUSTOM_JOKE",
}

type actionPostFetch = {
    type: ActionType.POST_CUSTOM_JOKE;
    payload: CustomJoke;
}
type actionGetFetch = {
    type: ActionType.FETCH_JOKES;
    payload: CustomJoke[];
}

export type Action = actionPostFetch | actionGetFetch;

export const setPostJoke = (customJoke: CustomJoke) => {
    return {
        type: ActionType.POST_CUSTOM_JOKE,
        payload: customJoke
    }
}

export const setCustomJokesList = (jokesList: CustomJoke[]) => {
    return {
        type: ActionType.FETCH_JOKES,
        payload: jokesList,
    };
}